import { FileBase, IResolver, Project } from 'projen';
import { Section } from './elements/section';
export interface ReadmeOptions {
    /**
     * The description of the project.
     */
    readonly description?: string;
}
export declare class Readme extends FileBase {
    description: string | undefined;
    sections: Array<Section>;
    constructor(project: Project, options?: ReadmeOptions);
    addSection(title: string, body: string): void;
    protected synthesizeContent(_: IResolver): string | undefined;
}
